# OceanWP Changelog

### *2017.11.16* - 1.4.7
* **Added** - New select template field in Header > Menu to allow you to select a template created in Theme Panel > My Library to replace the navigation. Perfect to use the Nav Menu widget of Elementor Pro with any header styles.
* **Added** - OceanWP is now 100% WooCommerce compatible, so you can use external plugins as WC Vendors without problems.
* **Added** - Polish translation, thank you very much to Rafał Stępień.
* **Tweak** - The product taxonomy description are now above the products instead of under the page title.
* **Tweak** - Cart icon on mobile view, now the cart will be exactly the same as desktop view.
* **Fixed** - Top bar menu under header.
* **Fixed** - Issue on the Checkout if third party plugins add new fields.
* **Fixed** - WooCommerce gallery images if not shop page.
* **Fixed** - WooCommerce select issue on the cart page.
* **Fixed** - WooCommerce table issue on the checkout page.
* **Fixed** - Social icons on the sidebar mobile menu style.
* **Fixed** - Color control issue with WordPress 4.9.
* **Deleted** - Custom JS textarea, moved in Ocean Extra.

### *2017.11.03* - 1.4.6
* **Fixed** - Icon issue with the Sidebar mobile menu style.

### *2017.11.03* - 1.4.5
* **Fixed** - Issue with the Sidebar mobile menu style.

### *2017.11.02* - 1.4.4
* **Fixed** - is_plugin_active fatal error for WordPress Social Login.

### *2017.11.02* - 1.4.3
* **Added** - Translation with WPML for the custom theme's parts, see this article: http://docs.oceanwp.org/article/474-translate-custom-parts-of-the-theme-with-wpml
* **Added** - Compatibility with WooCommerce Enhanced Layered Navigation.
* **Added** - Compatibility with WordPress Social Login.
* **Added** - Some CSS fixes for Gutenberg.
* **Added** - bbPress compatibility.
* **Added** - BuddyPress compatibility.
* **Tweak** - Parallax footer code improved.
* **Updated** - French translation, thanks to freepixel.net.
* **Fixed** - Mobile menu drop down behind the sale and zoom icon of the single product page.
* **Fixed** - Add to cart background color hover in the customizer.
* **Fixed** - Product variables price color.
* **Fixed** - Product quantity number input on Firefox.
* **Fixed** - Gallery lightbox issue.
* **Fixed** - Sidebar issue if full width or full screen layout selected.

### *2017.10.19* - 1.4.2
* **Added** - Magnific Popup script instead of Chocolat, better lightbox script.
* **Fixed** - Styling issue with the Full Screen mobile menu style.
* **Fixed** - "Latest In" in posts megamenu not translatable.
* **Updated** - Theme screenshot.

### *2017.10.14* - 1.4.1
* **Tweak** - Social menu is now displayed even if there is no main menu.
* **Fixed** - Responsive top bar social issue.

### *2017.10.13* - 1.4.0
* **Added** - New Header Style "Vertical" with many options. You can also put the header transparent with a background when scrolling if you use Ocean Sticky Header.
* **Added** - New Layout Style "Separate" in General Options > General Settings.
* **Added** - New layout style "Both Sidebars" with options to choose between "Sidebar / Sidebar / Content - Sidebar / Content / Sidebar - Content / Sidebar / Sidebar" and options to add your own content and sidebars width.
* **Added** - Parallax Footer effect, you just need to activate it via the Footer Widgets section of the customizer.
* **Added** - New checkbox field to add the Full Screen, Center and Medium header styles transparent.
* **Added** - New blog entries style "Thumbnail".
* **Added** - New field to select a template to replace the header social menu.
* **Added** - New logo field in Header > Mobile Menu to display a different logo in responsive. You can also choose the media query where you want to display the logo
* **Added** - New fields in WooCommerce > Advanced Styling to control the background, color, border color, border width and border radius of the Add to Cart button of the shop page and for the Typography in Typography > WooCommerce Product Add To Cart.
* **Added** - WooCommerce Sensei support.
* **Added** - Two new options to allow you to add a custom with and height for the blog entries images.
* **Added** - New select fields to allow you to choose your heading tag your the page title, blog entries title and single post title.
* **Added** - New field to choose the title and breadcrumb position if you use the Background Image style for the page header.
* **Added** - Overlay color field in Header > Header Media, now you can add an overlay color when you add a media in the header.
* **Tweak** - IMPORTANT, big improvement on the Center header style, if you use this header style, read this article: http://docs.oceanwp.org/article/467-improvement-on-the-center-header-style
* **Tweak** - The lightbox scripts and style are now in seperate files to easily disable them if you can't use the Scripts & Styles panel.
* **Tweak** - CSS improvement for the WooCommerce cart page in responsive.
* **Tweak** - Search Source field moved to General Options > General Settings.
* **Tweak** - Better approach for the retina logo.
* **Tweak** - Better approach to call the custom hamburgers button, now just the selected style is called.
* **Updated** - Infinite Scroll script.
* **Fixed** - Issue with the CSS file for the custom parts of the theme created via Elementor (custom header, custom footer, etc ...).
* **Fixed** - Issue with the lightbox images when you disable a script or style in Theme Panel > Scripts & Styles.
* **Fixed** - Issue with the search mobile if you select a search post type.
* **Fixed** - Disaable link on Sidebar mobile menu style.
* **Fixed** - Z-index issue with Divi builder.
* **Fixed** - Bug with overlay in Chrome.
* **Deleted** - All Deprecated fields.

### *2017.09.18* - 1.3.9
* **Fixed** - Undefined $content variable error in the top bar content.

### *2017.09.17* - 1.3.8
* **Fixed** - Undefined $get_content variable error in the header.

### *2017.09.17* - 1.3.7
NOTE: After the theme update, if you have disabled any scripts or styles, go to Theme Panel > Scripts & Styles, and click on Save Changes to update the JS and CSS files.

* **Added** - New field to select a template created in Theme Panel > My Library for the top bar content.
* **Added** - New section "404 Error Page" in General Options with two new options, "layout" to select between full width and full screen layout and "Blank Page", if enable this option will remove all the elements (top bar, header, title, footer) to give you full control to create your error page with your page builder.
* **Added** - New field in Header > Menu to select a post type for the search.
* **Added** - New field in General Options > General Settings to control the posts per page on the search results page.
* **Added** - Close mobile menu text for the drop down mobile menu style.
* **Added** - Custom hamburgers button with effects for the mobile menu.
* **Added** - Spanish language, thank you to Angel Julian Mena.
* **Tweak** - All header styles settings added into the Header > General section of the customizer.
* **Tweak** - Better styling for the search result page.
* **Tweak** - Names added for the menu links effects, thanks to Verdi.
* **Fixed** - Error in the Elementor edit mode when WooCommerce was enabled, the cart icon is removed in the edit mode to avoid error.
* **Fixed** - Issue with the sticky mobile when the "Stick only the menu" is enable on the Medium Header style.
* **Fixed** - Issue with the first row on the edit mode on Beaver Builder.
* **Fixed** - Color link in the button of the principal menu.
* **Fixed** - Comments words not translated.
* **Fixed** - Side panel button displayed in the drop down and full screen mobile menu styles.
* **Fixed** - Issue with the cart page url in the cart icon on mobile.
* **Fixed** - Issue with emoticons in the comments.
* **Fixed** - Blog archives layout on the tag, date and author pages.
* **Fixed** - Issue with the close button of the Full Screen mobile menu style.

### *2017.08.25* - 1.3.6
* **Fixed** - Issue with the search overlay style.

### *2017.08.24* - 1.3.5
* **Added** - 10 menu links effects, go to Header > Menu.
* **Added** - Brazil Portuguese translation, thanks a lot to Camilla Ribeiro.
* **Tweak** - Some CSS codes.
* **Fixed** - "add_to_cart_fragments" replaced by "woocommerce_add_to_cart_fragments".
* **Fixed** - Text "Type then hit enter to search..." not translatable.
* **Fixed** - Conflicts between the Transparent header style and the Elementor top section, now the header is hided in the Elementor edit mode.

### *2017.08.16* - 1.3.4
* **Fixed** - Values of the OceanWP Settings metabox not saved in the LifterLMS Courses post type.
* **Fixed** - No menu on the Drop down and Full Screen mobile menu styles when you add a custom mobile menu.
* **Fixed** - Issue with Divi builder when you select the tablet or mobile view.
* **Fixed** - Small scroll effect issue with the Modal Window extension.

### *2017.08.04* - 1.3.3
* **Fixed** - Issue with the mobile menu breakpoint code.

### *2017.08.04* - 1.3.2
* **Fixed** - Fatal issue with the WooCommerce icon in the navigation.

### *2017.08.03* - 1.3.1
* **Fixed** - Anchor link in the Full Screen mobile menu style.
* **Fixed** - Issue with the Navigation widget of Ocean Elementor Widgets.
* **Fixed** - JS error "$left is not defined".

### *2017.08.02* - 1.3.0
* **Added** - Full support for PHP 7.1.
* **Added** - Drop down mobile menu style.
* **Added** - Full Screen mobile menu style.
* **Added** - Breakpoint for the mobile menu, now you can add your own breakpoint to display the mobile menu link.
* **Added** - Max Height field in the Header > Logo section of the customizer to allow you to add a max height if your logo is too big.
* **Added** - Top Bar Social Alt. field supports templates created with your page builder.
* **Added** - Overlay with spinner on the checkout page when the order button is clicked.
* **Added** - Next/Prev Taxonomy field, now you will be able to display the next/prev single post links by category or tag.
* **Added** - Related Posts Taxonomy field, now you will be able to display your related post by category or tag.
* **Added** - Turkish language, partially translated by Selçuk Akkaş.
* **Added** - New checkbox field in General Options > General Settings to allow you to disable the theme schema markup.
* **Added** - LifterLMS support.
* **Added** - Filter in the single post heading to allow you to change the heading tab via your child theme.
* **Added** - Ability to display blog entry full content.
* **Added** - New option to only stick the navigation when scrolling for the Medium header style.
* **Tweak** - Anchor link doesn't have automatically scrolling effect anymore, you will need to add the "local" class to your link to have this effect. This is for avoid any plugins conflict.
* **Tweak** - WooCommerce error message style improved.
* **Tweak** - Anchor link in the mobile menu, no need anymore to add the "local-scroll" class.
* **Fixed** - Anchor menu on the Full Screen header style, now the menu close after the click on the anchor link.
* **Fixed** - Custom Header and Custom Footer issue in the Elementor edit mode.
* **Fixed** - Top Bar style when there is no social.
* **Fixed** - Beaver Builder tabs under the header.
* **Fixed** - Page header color setting per page.
* **Fixed** - Current menu color in child child menu.

### *2017.07.07* - 1.2.9
* **Added** - New filter in the breadcrumb for the Ocean Porffolio extension.
* **Added** - Supports WooCommerce Match Box extension, thanks to Sébastien Dumont.
* **Fixed** - Tabs under the header in the edit mode with the transparent header style.
* **Updated** - Isotope script.

### *2017.06.29* - 1.2.8
* **Fixed** - WooCommerce section disappear when Beaver Themer is enabled.

### *2017.06.29* - 1.2.7
* **Added** - New option in WooCommerce > General section of the customizer to allow you to display the categories featured image before the products archives on the categories pages.
* **Added** - New option in WooCommerce > Single of the customizer to allow you to hide the related products.
* **Fixed** - Issue with custom header and custom footer when no Elementor widgets were added, thanks to KingYes from the Elementor team.
* **Fixed** - Issue with Elementor sections links in the editor mode when you have the transparent header style.

### *2017.06.19* - 1.2.6
* **Fixed** - Double lighbox icon on the single product images.

### *2017.06.19* - 1.2.5
* **Added** - Fully compatible with Beaver Themer.
* **Tweak** - Page header background image style CSS improved.
* **Fixed** - Issue with WooCommerce products in list view when you add custom columns in responsive.
* **Deleted** - Custom scripts for the WooCommerce single products images, too many issues.

### *2017.06.12* - 1.2.4
* **Added** - French translation, thank you very much to Jean Lagarrigue.
* **Fixed** - Number options input issue in the customizer.

### *2017.06.12* - 1.2.3
* **Fixed** - Excerpt issue.

### *2017.06.12* - 1.2.2
* **Fixed** - Issue with page header opacity options in the customizer.

### *2017.06.11* - 1.2.1
* **Fixed** - Issue with top bar content.

### *2017.06.10* - 1.2.0.1
* **Added** - All sanitize_callback for the customizer options.
* **Fixed** - Hiding menu text did not work.

### *2017.06.08* - 1.2.0
* **Added** - New menu field "Elementor Template" to allow you to add an Elementor template in your mega menu.
* **Added** - New select field to choose an elementor template (or a page if you use another page builder) to replace the 404 error page content in General Options > General Settings of the customizer.
* **Added** - Checkbox field in the Menu Cart customizer section to hide the menu cart if empty.
* **Added** - New display style in the Menu Cart customizer section for the WooCommerce cart icon, now you can display the count and the cart total at the same time.
* **Added** - Control in the Menu Cart customizer section to select a different cart icon.
* **Added** - Text control in the Menu Cart customizer section to add your own cart icon.
* **Added** - Slider control in the Menu Cart customizer section to allow you to add your own cart icon size, even for the responsive.
* **Added** - Width field in the WooCommerce customizer section to control the cart dropdown width.
* **Added** - Slider control for the WooCommerce archives columns field, now you can add a custom column for tablet and mobile.
* **Added** - Checkbox field in the Mobile Menu customizer section to show/hide the mobile menu opening button text.
* **Added** - Text field in the Mobile Menu customizer section to add your own text for the mobile menu opening button.
* **Added** - Text field in the Mobile Menu customizer section to add your own icon class for the mobile menu opening button.
* **Added** - Checkbox field in the Mobile Menu customizer section to show/hide the mobile menu close button.
* **Added** - Switch field in the Mobile Menu customizer section to allow you to open your dropdowns with the parent link.
* **Added** - Text field in the Mobile Menu customizer section to add your own text for the mobile menu close button.
* **Added** - Text field in the Mobile Menu customizer section to add your own icon class for the mobile menu close button.
* **Added** - Checkbox field in the Blog Entries customizer section to show/hide the overlay on the image hover on the blog.
* **Added** - Filter for the blog entries headings, now you can add your own heading tag through this filter.
* **Fixed** - Search input focus on the icon click.
* **Fixed** - Comments pagination issue.
* **Fixed** - Issue with WPML string translation.
* **Fixed** - Issue with the Apply Coupon button on the checkout page.
* **Fixed** - Phone and Email input issue on the checkout page.
* **Fixed** - Textarea height issue with the forms widget of Elementor.
* **Fixed** - Issue with the search overlay and the center menu, now the close button is directly into the overlay.
* **Fixed** - Quantity buttons issue in the WooCommerce Cart page.
* **Fixed** - Avatar issue in the WooCommerce My Account page.
* **Fixed** - Page header overlay opacity issue for the background image style.
* **Fixed** - RTL lighbox style issue.

### *2017.04.24* - 1.1.9.1
* **Fixed** - Small issue with the category products images.

### *2017.04.23* - 1.1.9
* **Added** - Sortable control in the customizer for the catalog products, now you can reorder the elements.
* **Added** - Mega menu 1 column.
* **Added** - New menu location"Mobile" for the mobile menu.
* **Added** - Font subsets in the typography section of the customizer.
* **Added** - Minification for the Custom CSS output.
* **Added** - Dutch translation, thank you to Verdi Heinz and its team.
* **Added** - Now you can add a mega menu to the top bar menu.
* **Added** - Filter for the meta in the customizer to add your own meta, see this [article](http://docs.oceanwp.org/article/430-add-your-own-meta).
* **Added** - Font size and padding fields for the top bar social in the customizer.
* **Added** - Width and height fields in the customizer to add your own size for the related posts images.
* **Added** - Support for the WooCommerce single product gallery zoom.
* **Added** - Tabs Position field in the WooCommerce customizer section to choose the positioning of your tabs on single product.
* **Added** - Color control in the customizer for the placeholder text of the overlay search style.
* **Added** - Color control for the border widgets titles.
* **Fixed** - Issue with WooCommerce cart dropdown on RTL.
* **Fixed** - Skype and Email URL issue for the top bar and social menu.
* **Fixed** - Hided logo if one column on responsive for the medium header style.
* **Fixed** - Top bar content preview issue when it has no content.
* **Fixed** - Title of latest posts in megamenu does not break to second line.
* **Tweak** - The top bar menu is automatically added to the mobile menu.
* **Tweak** - The top bar menu is automatically centered horizontally.
* **Tweak** - Style enhancement for the WooCommerce checkout page.
* **Tweak** - The next/prev post is entirely clickable.
* **Deleted** - The "Add Lightbox To Your Images" field is deleted from the theme because it is directly incorporated into Theme Panel > Scripts & Styles.

### *2017.04.05* - 1.1.8
* **Added** - New header style "Medium".
* **Added** - New "Visibility" select field in the customizer to allow you to show/hide some elements on tablets and mobiles like the Top Bar, Page Header, Footer Widgets, Footer Bottom.
* **Added** - Font Size field added to the Social Menu section.
* **Added** - New customizer control "Slider", created for fields like font size, line height and letter spacing on the typography section.
* **Added** - Responsive buttons in multiple fields of the customizer like the font size, line height, letter spacing, etc, to allow you to control your values for desktop, tablets and mobiles.
* **Added** - Dimensions control in the Social Menu section of the customizer to allow you to add a left and right padding for the icons.
* **Added** - Font weight 500 and 900 in the typography section of the customizer.
* **Tweak** - Footer widgets columns, now you define a custom column for tablets and mobiles devices.
* **Tweak** - Large improvement of the dimensions control of the customizer, now you can define your dimensions for tablets and mobiles screens thanks to Justin Tadlock et Steeve Lefebvre.
* **Fixed** - Issue with avatar on the author box.
* **Fixed** - Issue with iframe in responsive.
* **Fixed** - Issue with WooCommerce 3.0 images variables.
* **Deleted** - All widgets have been added in the Ocean Extra extension because some things are not allowed in a theme.

### *2017.04.01* - 1.1.7.4
* **Fixed** - Search button missing for the top header style.

### *2017.03.24* - 1.1.7.3
* **Fixed** - Header issue with the oceanwp_main_schema_markup() function.

### *2017.03.23* - 1.1.7.2
* **Fixed** - Issue with the dimensions control.

### *2017.03.23* - 1.1.7.1
* **Fixed** - TGM Plugin Activation problem.
* **Fixed** - Double icons in mobile menu.

### *2017.03.21* - 1.1.7
IMPORTANT NOTICE: Some fields of the customizer are improved to be more user friendly, you must re-enter your values in the new dimensions controls for the following fields:
- Padding in General Options > Forms (Input - Textarea)
- Border Width in General Options > Forms (Input - Textarea)
- Padding in Theme Button
- The two Padding fields in Sidebar
- Padding in Footer Widgets
- Padding in Footer Bottom

* **Added** - New checkbox field in the Top Bar section of the customizer to add the top bar in full width.
* **Added** - New checkbox field in the Header section of the customizer to add the header in full width.
* **Added** - Norwegian language, thank you very much to Tor-Arne Pettersen‎.
* **Added** - Short codes in the description for the top bar content and the footer copyright in the customizer.
* **Added** - New "Fixed Footer" option in the Footer Widgets section of the customizer to add a height to your content to keep your footer at the bottom of your page.
* **Added** - New option in General Settings of the customizer to activate/desactivate the default lightbox scripts.
* **Added** - New control for the customizer "Dimensions" to add your top/right/bottom/left dimensions like Elementor.
* **Tweak** - Increased container max width in the customizer for 4K screens.
* **Tweak** - Support for WooCommerce 3.0.
* **Tweak** - Flickr widget moved to Ocean Extra because the script code is not allowed into the theme.
* **Tweak** - CSS for sub lists improved.

### *2017.03.04* - 1.1.6
* **Added** - New customizer section "Header Media" in the Header section to add an image or video (only in front page), to your header.
* **Added** - New "Excerpt Length" field added in the Blog Entries section of the customizer to control the excerpt length of your posts.
* **Added** - Swedish language, thank you very much to Christoffer Gisselfeldt.
* **Added** - Center menu position.
* **Added** - New options for the background image of the page header.
* **Added** - Full Screen layout added in customizer.
* **Updated** - Fonts list in the customizer typography section.
* **Fixed** - Form (input-textarea) styling issue.
* **Fixed** - Thumbnails images on WooCommerce variation products.
* **Fixed** - Issue with retina logo in the Center header style.
* **Fixed** - Links color hover option in the customizer.
* **Fixed** - Cart icon removed on mobile if disabled.
* **Fixed** - Issue with archive products ratings in list mode.
* **Fixed** - Issue with Woocommerce if single product has no sidebar.
* **Fixed** - JS error with YITH WooCommerce Quick View.

### *2017.02.15* - 1.1.5
* **Fixed** - Sub menus blinking.
* **Fixed** - Problem double lightbox with Beaver Builder.
* **Fixed** - Problem with WooCommerce images variation products.

### *2017.02.06* - 1.1.4
* **Added** - Register translation string.
* **Tweak** - All archive product éléments added în separate functions to easily alter them via thé child thème.
* **Fixed** - Excerpt issue with the Elementor WooStore plugin.
* **Deleted** - Modal scripts, integrated into the Ocean Modal Window extension.

### *2017.01.27* - 1.1.3
* **Added** - New panel in the customizer "Sidebar" to add background, control margin, padding, etc.
* **Added** - New lightbox script "Chocolat" in replacement of Magnific Popup, lighter, responsive, possibility to add the lightbox in full screen and zoom on the image, more info: http://chocolat.insipi.de/
* **Fixed** - Logo issue if youv've not set a retina logo, the custom logo not disappear anymore on retina screen.
* **Fixed** - Problem with the transparent header in the editor mode of Elementor.
* **Fixed** - Problem with images alignements.
* **Fixed** - Small issues.

### *2017.01.15* - 1.1.2
* **Added** - Script to create modal, check: http://docs.oceanwp.org/article/356-how-to-create-modal/
* **Added** - New functions for the new settings of the metabox.
* **Added** - Several hooks through the theme for the Ocean Hooks extension.
* **Added** - FitVids script to have responsive videos.
* **Added** - Filter for the style of the header, now you can alter the header style via the child theme.
* **Tweak** - Improvement of the local scrolling, now the height of the header is taken into account.
* **Fixed** - Problem of the retina logo on the retina screen.
* **Fixed** - Background color of the page header.
* **Fixed** - Small issues.
* **Deleted** - Responsive.css file, directly integrated into the style.css file.

### *2016.12.30* - 1.1.1.1
* **Added** - Category description on the shop page.
* **Fixed** - Non clickable products images with the gallery style.

### *2016.12.30* - 1.1.1
* **Added** - New awesome option to create your own header style.
* **Added** - Gallery lightbox for the default WordPress gallery.
* **Added** - Two new widgets Custom Header Logo and Custom Header Nav to use with your page builder for the Custom Header style.
* **Added** - Custom Menu widget with more options than the default WordPress widget.
* **Added** - Options to add an image background to the page header (title) for all your pages via the customizer.
* **Added** - New options in the Blog section of the customizer to add your featured images of your posts directly in the page header (title).
* **Added** - New option in the Blog section of the customizer to add your post title in the page header (title).
* **Added** - Grid/list buttons to the catalog products in the shop page.
* **Added** - Links in the shop page to show the number of products.
* **Added** - New color options in WooCommerce > Advanced Styling to customize the toolbar of the shop page.
* **Added** - New color options in WooCommerce > Advanced Styling to customize the title and product description into the tabs.
* **Added** - German language, thank you very much to Andreas Schu.
* **Added** - Breadcrumbs in the blog page.
* **Tweak** - Footer page ID, now you can add a page created with Elementor or Beaver Builder or any other page builder.
* **Tweak** - All output logo improved.
* **Fixed** - RTL problem with the carousel of posts galleries and products, I changed the script by Slick.
* **Fixed** - There was a conflict with the select2 script (used to select a typography in the customizer) when WooCommerce was enabled because their version of the script is older.
* **Removed** - Unnecessary elements in the front end of Elementor's post-type Library.
* **Removed** - I deleted "$j( document ).ready( function() {" from the "Custom JS" option so that you can have full control of the code you enter.

### *2016.12.20* - 1.1.0
Warning: The name of the theme changed to OceanWP because Ocean was already taken, WordPress will see the OceanWP theme as a new theme, so, you need to do a fews steps, look at this video:
https://youtu.be/s5TUYhUMc-8

1. In your WordPress dashboard, go to Theme Panel > Import/Export, and click on the export button, this will generate a json file.
2. Install and activate the Widget Importer & Exporter plugin and go to Tools > Widget Import/Export to export your widgets.
3. Download the new version of the theme on oceanwp.org.
4. Return to your WordPress dashboard and upload the new version.
5. If not already done, update WordPress, then, update all extensions.
6. Go to Theme Panel > Import/Export and import the json file of the step 1.
7. Go to Appearance > Widgets and delete all your widgets to prevent conflicts (optional).
8. Go to Tools > Widget Import/Export and import the .wie file exported to the step 2.
9. Check that everything is ok on your site, if so, go back to Appearance > Themes and delete the old Ocean theme.
10. if you use a child theme, replace "wp_get_theme( 'Ocean' )" by "wp_get_theme( 'OceanWP' )".

Do not worry, all your changes made to the theme will not be affected because I've not modified any filters, action or theme_mods.
I'm really sorry for that, there will never be any changes of this kind again, I want the theme to be available in the WordPress directory, and the name Ocean was already taken in the waiting list, so I had to modify it to OceanWP.

Do not hesitate to contact me via facebook or trough the support page if you have misunderstood or you are having an issue.

* **Added** - New color option in the customizer to add a background to the transparent header style.
* **Added** - Select2 script for the typography select.
* **Added** - Typography for the H1, H2, H3 and H4 headings.
* **Added** - New panel to add your own JS code directly into the customizer.
* **Added** - New field in the customizer to add your own padding left/right for the menu items.
* **Added** - New field in the customizer to add your own width for the dropdrow menu.
* **Added** - function_exists to all functions in the helpers file, so you can alter them via the child theme.
* **Tweak** - Large enhancement of the customizer options.
* **Updated** - Font Awesome icons to 4.7.
* **Deleted** - Options in the customizer to choose your links color between light and dark for the transparent header, you can choose your own color in the menu section.
* **Fixed** - Problem to change the font size, font weight, letter spacing, etc, to the center header style.
* **Fixed** - Problem with the button to open the mobile menu.

### *2016.12.12* - 1.0.9.1
* **Fixed** - Problem with the customizer.

### *2016.12.07* - 1.0.9
* **Added** - Support WordPress 4.7.
* **Fixed** - Problem with the menu items in WordPress 4.7.
* **Tweak** - Migrate the custom CSS of the Theme Panel into the new Additional CSS panel of the customizer.

### *2016.12.01* - 1.0.8.1
* **Fixed** - Small issue.

### *2016.12.01* - 1.0.8
* **Added** - New fields in the customizer to add a background image.
* **Added** - Option in the customizer to control the max width of the logo.
* **Added** - New fields in the customizer to add a padding top and bottom at the header.
* **Added** - Tagline in the Site Identity section of the customizer.
* **Added** - Selective refresh to widgets.
* **Added** - Option to add a color to the overlay page header.
* **Fixed** - Problem with the overlay of the page header.
* **Fixed** - Problem to change the font size of the menu items for the Top Menu header style.
* **Tweak** - Moved Site Icon field to the Site Identity section of the customizer.
* **Tweak** - Some files improvement.

### *2016.11.26* - 1.0.7
* **Added** - New fields in the Blog section of the customizer to show/hide elements in the single post.
* **Tweak** - Icon search and cart replaced by text for the center header style.
* **Fixed** - Problem categories posts in megamenu.

### *2016.11.21* - 1.0.6
* **Added** - New header style "Center".
* **Fixed** - Problem anchor links on mobile menu.
* **Fixed** - Problem megamenu category posts on full screen header style.

### *2016.11.12* - 1.0.5
* **Added** - Boxed layout.
* **Added** - Options in the Customizer to alter the meta in blog entries and single.

### *2016.11.11* - 1.0.4
* **Added** - New header style "Full Screen".
* **Added** - New posts style "Grid".
* **Added** - New blog pagination "Infinite Scroll".
* **Added** - Function to add an overlay color to the page header background image style.
* **Fixed** - Problem breadcrumbs on the home page.
* **Fixed** - Breadcrumbs position problem on centered page title.
* **Tweak** - Redirection to the welcome page during the theme activation.

### *2016.11.05* - 1.0.3
* **Added** - New fields in the Contact Info widget to add your own titles and icons.
* **Tweak** - PHP files.

### *2016.11.02* - 1.0.2
* **Added** - New header style "Top Menu".
* **Added** - New widget "Recent Posts".
* **Added** - New "Shortcode" field in the Ocean Settings metabox to add your slider shortcode below the header.
* **Added** - Function to add custom fonts.
* **Added** - Function to delete term data when a term is deleted.
* **Added** - Option to the categories menu items to add your latest posts in mega menu.
* **Tweak** - Improvements of the newsletter widget.
* **Fixed** - Lightbox images into the content.
* **Fixed** - Problems of tabs in the editor mode of Elementor and Beaver Builder when you set the page in full screen.
* **Fixed** - Problem posts and related posts image link.
* **Fixed** - The top bar social alt work perfectly now.

### *2016.10.16* - 1.0.1
* **Added** - Options in the customizer to change the colors of WooCommerce pages.

### *2016.10.13* - 1.0.0
* Initial release